Skip to main content
GET
/
token
/
allowances
Get Address Allowances
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/allowances \
  --header 'X-API-KEY: <api-key>'
{
  "allowances": [
    {
      "contractAddress": "0xcedefe438860d2789da6419b3a19cece2a41038d",
      "name": "Love Hate Inu",
      "symbol": "LHINU",
      "decimals": "18",
      "fromAddress": "0x297bfcb2b91282dd640c17f4a72dc45f4a5a39a9",
      "toAddress": "0x378e116f28c5fb37988d4c06f0eff4c7669b7afe",
      "amount": "99924138000000000000000000"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
11155111,
11155420,
1284,
1285,
130,
1301,
1329,
137,
143,
146,
1666600000,
167000,
2020,
204,
25,
250,
324,
33139,
4002,
42161,
421614,
42170,
42220,
42262,
43113,
43114,
4326,
480,
4801,
5000,
534351,
534352,
56,
57073,
59141,
59144,
690,
7000,
763373,
80002,
80094,
81457,
8453,
84532,
88,
97,
9745,
9746,
999,
99999
Example:

1

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
GoldRush

Response

200 - application/json
allowances
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="